#include <qapp.h>
#include <qwidget.h>
#include <qdialog.h>
#include <qscrbar.h>
#include <qpushbt.h>
#include <qchkbox.h>
#include <qslider.h>
#include <qpixmap.h>
#include <qtooltip.h>
#include <qlabel.h>
#include "mixer.h"

class infoscreen;
class SliderPanel:public QWidget
{
    Q_OBJECT
    public:
      SliderPanel(QWidget *parent = 0, const char *name = 0);
    protected:
      void resizeEvent(QResizeEvent *);
    private:
      QSlider		*scroll;
      QPushButton	*b0,*b1,*b2,*b3,*b4,*b5;
      Mixer		mixer;
      QPixmap		p_master;
      QPixmap		p_line;
      QPixmap		p_cd;
      QPixmap		p_dsp;
      QPixmap		p_synth;
      QPixmap		p_misc;
      QPixmap		p_icon;
      QPixmap		p_background;
      infoscreen	*is;
      bool		isUp;
    private slots:
      void		setvol(int);
      void		bla0();
      void		bla1();
      void		bla2();
      void		bla3();
      void		bla4();
      void		info();
};

class infoscreen:public QDialog
{
    Q_OBJECT
    public:
      infoscreen(QWidget *parent = 0, const char *name = 0);
    private:
      Mixer		mixer;
      QLabel		*ok;
      QPixmap		*p_background2;
      QPixmap		*p_icon2;
      QLabel		*info_image;
      QLabel		*info_text;
      QLabel		*fake;
      QLabel		*recsrc;
      QCheckBox 	*rb1,*rb2,*rb3;
    private slots:
      void		srb1();
      void		srb2();
      void		srb3();
};
